package domain

type AlibabaHmMarketingItempoolStairRemoveitemMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *string `json:"data,omitempty" `

	/*
	   errorCode     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolStairRemoveitemMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolStairRemoveitemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairRemoveitemMarketResult) SetData(v string) *AlibabaHmMarketingItempoolStairRemoveitemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairRemoveitemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolStairRemoveitemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairRemoveitemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolStairRemoveitemMarketResult {
	s.Success = &v
	return s
}
